SOCU_RoutingTableEntry Struct Reference

One entry of the routing table retrieved by using SOCU_GetNetworkOpt and NETOPT_ROUTING_TABLE. More...

`#include <soc.h>`

## Data Fields

struct in_addr | dest_ip
| Destination IP address of the route.
struct in_addr | netmask
| Mask used for this route.
struct in_addr | gateway
| Gateway address to reach the network.
u32 | flags
| Linux netstat flags. More...
u64 | time
| number of milliseconds since 1st Jan 1900 00:00.

## Detailed Description

One entry of the routing table retrieved by using SOCU_GetNetworkOpt and NETOPT_ROUTING_TABLE.

## Field Documentation

## flags

u32 SOCU_RoutingTableEntry::flags

Linux netstat flags.

See also
  ROUTING_FLAG_G

The documentation for this struct was generated from the following file:

- include/3ds/services/soc.h